package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag196;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT196Creator;

public class Tag20Creator extends AbsTagCreate {
    private MT196Creator mt196Creator;

    public Tag20Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt196Creator = (MT196Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag20Value = mt196Creator.getTransactionReferenceNumber();
        mt196Creator.set("20", tag20Value);
    }
}
